package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydAccountSynVo;
import org.dromara.payment.sys.domain.bo.SysSydAccountSynBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商账户同步Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydAccountSynService {

    /**
     * 查询服务商账户同步
     */
    SysSydAccountSynVo queryById(Long id);

    /**
     * 查询服务商账户同步列表
     */
    TableDataInfo<SysSydAccountSynVo> queryPageList(SysSydAccountSynBo bo, PageQuery pageQuery);

    /**
     * 查询服务商账户同步列表
     */
    List<SysSydAccountSynVo> queryList(SysSydAccountSynBo bo);

    /**
     * 新增服务商账户同步
     */
    Boolean insertByBo(SysSydAccountSynBo bo);

    /**
     * 修改服务商账户同步
     */
    Boolean updateByBo(SysSydAccountSynBo bo);

    /**
     * 校验并批量删除服务商账户同步信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
